
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:           python-wikimarkup
Version:        1.01
Release:        13.005svn%{?dist}
Summary:        Formats text to Mediawiki syntax

Group:          Development/Libraries
License:        GPLv3+
URL:            http://code.google.com/p/wikimarkup/

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# svn checkout http://wikimarkup.googlecode.com/svn/trunk/ wikimarkup
# cd wikimarkup
# python setup.py sdist

Source0:        wikimarkup-%{version}.005svn.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       python >= 2.5 
 
         
%description
It is a python module which formats text to
Mediawiki (http://meta.wikimedia.org/wiki/Help:Editing) syntax 

Note - The Module contains no Documentation.

%prep
%setup -q -n wikimarkup-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT



 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc

# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-13.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-12.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-11.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-10.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-9.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-8.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.01-7.005svn
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-6.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-5.005svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.01-4.005svn
- Rebuild for Python 2.6

* Sat Nov 01 2008 Soumya Chakraborty <soumya@fedoraproject.org> 1.01-3.005svn
- Updated the Version and Release and removed unwanted comments.

* Tue Oct 21 2008 Soumya Chakraborty <soumya@fedoraproject.org> 1.01-5svn
- Updated the Build Section and added Revision number to the tarball

* Mon Aug 6 2008 Soumya Chakraborty <soumya@fedoraproject.org> 1.01-2
- Updated the Group tag

* Mon Aug 4 2008 Soumya Chakraborty <soumya@fedoraproject.org> 1.01-1
- Initial Package Release
